VRPlatformVRPlatform
Recurring feesListing periods

/recurring-fees/listing-periods

Add listing period to a recurring fee

POST
/recurring-fees/listing-periods
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

dryRun?boolean

Validate this request through the real write path, then roll back all changes. See https://docs.vrplatform.app/api/dry-run-mode.

Request Body

application/json

recurringFeeId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
listingId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
startAt?string|null

Listing period start date; unparseable values are rejected

endAt?string|null

Listing period end date; unparseable values are rejected

rate?integer|null
onConflict?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.vrplatform.app/recurring-fees/listing-periods" \  -H "Content-Type: application/json" \  -d '{    "recurringFeeId": "31e7fdf7-af80-46c8-ba8a-fa94e0926a38",    "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae"  }'
{
  "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
  "startAt": "string",
  "endAt": "string",
  "rate": -9007199254740991,
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "recurringFee": {
    "id": "string",
    "name": "string",
    "type": "managementFee",
    "rateType": "flat",
    "defaultRate": -9007199254740991,
    "status": "active"
  }
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}